global learnedsizes, screenshotloc, screenshotwidth, screenshotheight, firstthumbnail, dots, jurorcomments, firstjuror, firstjurorhilite, firsttitle, firstbio, biogrid, creditsgrid, rollstep, rollvolume, bgmusic, jurorspeaking, firstjurorzoom, globalidvolume, goldbox, firstbigjuror, firstnamejuror, viewby, webpages, demos, currtitle, pathdel, demofolder, talkaboutbronze, IDCDPath, CDPath, shownqmessage, titlewidth, titleheight, qmessage

on prepareMovie
  the idleLoadMode = 3
  if voidp(IDCDPath) then
    checkforproblems()
  end if
  talkaboutbronze = the optionDown
  repeat with a = 1 to 1000
    sprite(a).visible = 1
  end repeat
  if the platform contains "windows" then
    pathdel = "\"
  else
    pathdel = ":"
  end if
  demofolder = IDCDPath & "allfiles" & pathdel
  if voidp(bgmusic) then
    bgmusic = demofolder & "bgmusic.aif"
  end if
  titlewidth = 177
  titleheight = 10
  learnedsizes = 0
  screenshotloc = point(282, 162)
  screenshotwidth = 267
  screenshotheight = 217
  firstthumbnail = 11
  dots = 201
  jurorcomments = value(field("juror comments"))
  webpages = value(field("web pages"))
  demos = value(field("demo files"))
  firstjuror = 161
  firstjurorhilite = 171
  firstbio = 181
  firstbigjuror = 201
  firstnamejuror = 211
  firsttitle = 111
  biogrid = 158
  creditsgrid = 60
  rollstep = 16
  rollvolume = 0
  goldbox = 54
  qmessage = 303
  jurorspeaking = 0
  firstjurorzoom = 191
  globalidvolume = 200
  set the volume of sound 1 to globalidvolume
  if voidp(currtitle) then
    currtitle = 0
  end if
  if voidp(viewby) then
    viewby = "title"
  end if
  repeat with a = 1 to 10
    sound stop a
  end repeat
end

on startMovie
  if the shiftDown then
    go("intro animation")
  end if
end

on stopjuror
  sound stop 4
end

on mouseUp
  if the frame >= label("intro animation") then
    go(1)
  end if
end

on godemo thedemo
  if thedemo = EMPTY then
    exit
  end if
  oldid = the itemDelimiter
  the itemDelimiter = ":"
  folderName = item 1 of thedemo
  demoname = item 2 of thedemo
  the itemDelimiter = oldid
  wheredemois = demofolder & folderName
  the searchPaths = [wheredemois]
  sprite(qmessage).visible = not (shownqmessage = 1)
  go("to demo")
  repeat with a = 1 to 1000
    sprite(a).visible = 1
  end repeat
  repeat with a = 1 to 10
    sound stop a
  end repeat
  repeat with a = 1 to 10
    set the volume of sound a to 255
  end repeat
  startTimer()
  if not (shownqmessage = 1) then
    repeat while the timer < 120
      updateStage()
    end repeat
  end if
  shownqmessage = 1
  play movie demoname
end

on enterFrame
  if not soundBusy(1) then
    sound playFile 1, bgmusic
    bgmusic = demofolder & "bgmusic.aif"
  end if
end

on startbgmusic
  bgmusic = demofolder & "bgmusic.aif"
  sound playFile 1, bgmusic
end

on keyDown
  if "0123456789" contains the key then
    globalidvolume = 27 * value(the key)
  end if
  if (the key = "q") and the commandDown then
    set the exitLock to 0
    go("get out")
  end if
end

on settextrender
  repeat with a = 1 to 1000
    if member(a).type = #text then
      member(a).SaveBitmap = 1
      member(a).PreRender = #CopyInk
    end if
  end repeat
end

on redesign
  repeat with a = 621 to 663
    w = the number of words in the name of member a
    bwmember = word w - 1 of the name of member a
    bwmember = "titlecredit" && string(a - 620)
    member(a).name = bwmember
  end repeat
end

on recolor
  repeat with a = 531 to 573
    bwmember = member(a).name
    bwmember = "titlecredit" && string(a - 530)
    member(a).name = bwmember
  end repeat
end

on randomj
  j = []
  repeat with a = 1 to 43
    i = [random(3), random(4, 6)]
    append(j, i)
  end repeat
  return j
end

on settextcolors
  repeat with a = 235 to 277
    set the foreColor of member a to 0
    member(a).backcolor = 255
  end repeat
end

on blastoff thesprite
  repeat with a = 1 to 30
    set the loc of sprite (dots + a - 1) to point(10000, 10000)
  end repeat
  updateStage()
  theMember = the memberNum of sprite thesprite
  cropper(theMember, the number of member "dot 1", 15, 2)
  repeat with a = 1 to 30
    set the loc of sprite (dots + a) to the loc of sprite thesprite
  end repeat
  sendAllSprites(#titlefly)
end

on cropper mastercaster, firstcast, thecols, therows
  idots = firstcast
  cols = thecols
  rows = therows
  widthgap = integer(0.5 + (float(member(mastercaster).width) / cols))
  heightgap = integer(0.5 + (float(member(mastercaster).height) / rows))
  repeat with a = 1 to rows * cols
    dotmember = idots + a - 1
    member(dotmember).picture = member(mastercaster).picture
    crop(member(dotmember), rect(((a mod cols) - 1) * widthgap, a / cols * heightgap, (((a mod cols) - 1) * widthgap) + widthgap, (a / cols * heightgap) + heightgap))
  end repeat
end

on Mac
  return not (the platform contains "windows")
end

on checkforproblems
  the itemDelimiter = ","
  if Mac() then
    CDName = field("Mac CD Name")
    it = CDName & ":ID99CHK:"
    it = getNthFileNameInFolder(it, 1)
    if it = EMPTY then
      discproblem = 1
    else
      the searchPaths = [CDName, CDName & ":ALLFILES"]
      IDCDPath = CDName & ":"
    end if
  else
    here = the moviePath & "ID99CHK\"
    if getNthFileNameInFolder(here, 1) <> EMPTY then
      IDCDPath = the moviePath
    else
      if voidp(CDPath) then
        CDPath = EMPTY
      end if
      theletters = char 1 of CDPath & "defghijklmnopqrstuvwxyz!"
      repeat with a = 1 to the number of chars in theletters
        driveletter = char a of theletters
        if driveletter = "!" then
          exit repeat
        end if
        it = driveletter & ":\ID99CHK\"
        it = getNthFileNameInFolder(it, 1)
        if it <> EMPTY then
          exit repeat
        end if
      end repeat
      if driveletter = "!" then
        discproblem = 1
      else
        lowram = EMPTY
        the searchPaths = [driveletter & ":\ALLFILES\"]
        IDCDPath = driveletter & ":\"
      end if
    end if
  end if
end
